{% extends 'base.html' %}
{% load i18n staticfiles thumbnail %}
{% block head_title %}{% trans "My Documents" %}{% endblock %}

{% block styles %}
{{ block.super }}
{% endblock %}

{% block nav-doc-list-class %}active{% endblock %}

{% block body %}
<div class="row">
  <div class="col-md-12 col-md-offset-4">
    <a href="{% url 'document-create' %}" class="btn btn-success float-sm-right">{% trans 'Create new' %}</a>
    <h2>{% trans "My Documents" %}</h2>
    
    <table class="table table-hover">
      <tbody>
        {% for document in object_list %}
        <tr>
          <td>
            {% with part=document.parts.first %}
            {% if part %}
            <img src="{{ part.image|thumbnail_url:'list' }}" />
            {% endif %}
            {% endwith %}
          </td>
          <th>
            {# <a href="{% url 'document-detail' pk=document.pk %}">{{ document.name }}</a> #}
            {{ document.name }}
            {% if document.typology %}<br><span class="text-muted"><small>{{ document.typology|default_if_none:'-' }}</small></span>{% endif %}
          </th>
          <td>
            <span title="{% trans 'Owner' %}">{{document.owner}}</span>
            {% with groups=document.shared_with_groups.all %}
            {% if groups %}</br><span title="{% trans 'Shared with' %}" class="text-muted"><small>{{ groups|join:', ' }}</small></span>{% endif %}
            {% endwith %}</td>
          <td title="{% trans 'Last modified on' %}"><span class="text-muted"><small>{{ document.parts_updated_at|date }}</small></span></td>
          <td>
            {% blocktrans with count=document.parts.count %}{{ count }} image(s).{% endblocktrans %}
          </td>
          {% comment %}
          <td {% if document.workflow_state %}title="{% trans 'Published' %}"{% else %}title="{% trans 'Unpublished' %}"{% endif %}>
            <big>
              {% if document.workflow_state %}<span class="text-success">✓</span>{% else %}<span class="text-danger">✗</span>{% endif %}
            </big>
          </td>
          {% endcomment %}
          <td class="text-right">
            {# <a href="{% url 'document-detail' pk=document.pk %}" class="btn btn-info disabled" title="{% trans 'View' %}"><i class="fas fa-eye"></i></a> #}
            <a href="{% url 'document-update' pk=document.pk %}" class="btn btn-info" title="{% trans 'Edit' %}"><i class="fas fa-edit"></i></a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>


</div>
{% include 'includes/pagination.html' %}
{% endblock %}
